searchNodes=[{"doc":"","ref":"Inflex.html","title":"Inflex","type":"module"},{"doc":"Camelizes or pascalizes strings and atoms to upper-case CamelCase.Examplesiex&gt; Inflex.camelize(:upper_camel_case) &quot;UpperCamelCase&quot;","ref":"Inflex.html#camelize/1","title":"Inflex.camelize/1","type":"function"},{"doc":"Camelizes or pascalizes strings and atoms.Options:lower - Lower-cases the first letter.Examplesiex&gt; Inflex.camelize(&quot;pascal-case&quot;, :lower) &quot;pascalCase&quot;","ref":"Inflex.html#camelize/2","title":"Inflex.camelize/2","type":"function"},{"doc":"Inflect on the plurality of a word given some count.Examplesiex&gt; Inflex.inflect(&quot;child&quot;, 1) &quot;child&quot; iex&gt; Inflex.inflect(&quot;child&quot;, 2) &quot;children&quot;","ref":"Inflex.html#inflect/2","title":"Inflex.inflect/2","type":"function"},{"doc":"Converts an integer to a ordinal value.Examplesiex&gt; Inflex.ordinalize(1) &quot;1st&quot; iex&gt; Inflex.ordinalize(11) &quot;11th&quot;","ref":"Inflex.html#ordinalize/1","title":"Inflex.ordinalize/1","type":"function"},{"doc":"Parameterize a string using a hyphen (-) separator. If you want to return as only ascii characters, use parameterize_to_ascii/2Examplesiex&gt; Inflex.parameterize(&quot;String for parameter&quot;) &quot;string-for-parameter&quot;","ref":"Inflex.html#parameterize/1","title":"Inflex.parameterize/1","type":"function"},{"doc":"Parameterize a string given some separator. If you want to return as only ascii characters, use parameterize_to_ascii/2The option argument is a string representing the character that will be used as the separator.Examplesiex&gt; Inflex.parameterize(&quot;String with underscore&quot;, &quot;_&quot;) &quot;string_with_underscore&quot;","ref":"Inflex.html#parameterize/2","title":"Inflex.parameterize/2","type":"function"},{"doc":"Parameterize a string using a hyphen (-) separator, returning only ascii characters.Examplesiex&gt; Inflex.parameterize_to_ascii(&quot;String for parameter 😎&quot;) &quot;string-for-parameter-&quot;","ref":"Inflex.html#parameterize_to_ascii/1","title":"Inflex.parameterize_to_ascii/1","type":"function"},{"doc":"Parameterize a string given some separator, returning only ascii characters.The option argument is a string representing the character that will be used as the separator.Examplesiex&gt; Inflex.parameterize_to_ascii(&quot;String with underscore 😎&quot;, &quot;_&quot;) &quot;string_with_underscore_&quot;","ref":"Inflex.html#parameterize_to_ascii/2","title":"Inflex.parameterize_to_ascii/2","type":"function"},{"doc":"Pluralize a word.Examplesiex&gt; Inflex.pluralize(&quot;dog&quot;) &quot;dogs&quot; iex&gt; Inflex.pluralize(&quot;person&quot;) &quot;people&quot;","ref":"Inflex.html#pluralize/1","title":"Inflex.pluralize/1","type":"function"},{"doc":"Singularize a word.Examplesiex&gt; Inflex.singularize(&quot;dogs&quot;) &quot;dog&quot; iex&gt; Inflex.singularize(&quot;people&quot;) &quot;person&quot;","ref":"Inflex.html#singularize/1","title":"Inflex.singularize/1","type":"function"},{"doc":"Underscore and lowercase a string.Examplesiex&gt; Inflex.underscore(&quot;UpperCamelCase&quot;) &quot;upper_camel_case&quot; iex&gt; Inflex.underscore(:pascalCase) &quot;pascal_case&quot;","ref":"Inflex.html#underscore/1","title":"Inflex.underscore/1","type":"function"},{"doc":"Inflex An Elixir library for handling word inflections.","ref":"readme.html","title":"Inflex","type":"extras"},{"doc":"You can add Inflex as a dependency in your mix.exs file. Since it only requires Elixir and Erlang there are no other dependencies.def deps do [ { :inflex, &quot;~&gt; 2.1.0&quot; } ] endIf you are not using hex you can add the dependency using the github repo. def deps do [ { :inflex, github: &quot;nurugger07/inflex&quot; } ] end Then run mix deps.get in the shell to fetch and compile the dependencies.To incorporate Inflex in your modules, use import. defmodule Blog do import Inflex def greeting(count), do: &quot;You are the \#{ordinalize(count)} visitor!&quot; end","ref":"readme.html#getting-started","title":"Inflex - Getting Started","type":"extras"},{"doc":"Singularize &amp; PluralizeHere are some basic examples from iex: iex(1)&gt; Inflex.singularize(&quot;dogs&quot;) &quot;dog&quot; iex(2)&gt; Inflex.pluralize(&quot;dog&quot;) &quot;dogs&quot; iex(3)&gt; Inflex.singularize(&quot;people&quot;) &quot;person&quot; iex(4)&gt; Inflex.pluralize(&quot;person&quot;) &quot;people&quot; Some other special cases are handled for nouns ending in -o and -y iex(1)&gt; Inflex.pluralize(&quot;piano&quot;) &quot;pianos&quot; iex(2)&gt; Inflex.pluralize(&quot;hero&quot;) &quot;heroes&quot; iex(3)&gt; Inflex.pluralize(&quot;butterfly&quot;) &quot;butterflies&quot; iex(4)&gt; Inflex.pluralize(&quot;monkey&quot;) &quot;monkeys&quot; Inflectiex(1)&gt; Inflex.inflect(&quot;child&quot;, 1) &quot;child&quot; iex(2)&gt; Inflex.inflect(&quot;child&quot;, 2) &quot;children&quot;Camelize &amp; PascalizeInflex also camelizes or pascalizes strings and atoms. iex(1)&gt; Inflex.camelize(:upper_camel_case) &quot;UpperCamelCase&quot; iex(2)&gt; Inflex.camelize(&quot;pascal-case&quot;, :lower) &quot;pascalCase&quot; ParameterizeStrings can be parameterized easily. iex(1)&gt; Inflex.parameterize(&quot;String for parameter&quot;) &quot;string-for-parameter&quot; iex(2)&gt; Inflex.parameterize(&quot;String with underscore&quot;, &quot;_&quot;) &quot;string_with_underscore&quot; UnderscoreMakes an underscored, lowercase form from a string or atom. iex(1)&gt; Inflex.underscore(&quot;UpperCamelCase&quot;) &quot;upper_camel_case&quot; iex(2)&gt; Inflex.underscore(&quot;pascalCase&quot;) &quot;pascal_case&quot; iex(3)&gt; Inflex.underscore(UpperCamelCase) &quot;upper_camel_case&quot; iex(4)&gt; Inflex.underscore(:pascalCase) &quot;pascal_case&quot;","ref":"readme.html#examples","title":"Inflex - Examples","type":"extras"},{"doc":"All pull requests will be reviewed for inclusion but must include tests.","ref":"readme.html#contributing","title":"Inflex - Contributing","type":"extras"}]